Name:       salsa
Version:	0.4.0
Release:	0.1.rc26%{?dist}
Summary:	SALSA - Scalable Adaptive Large Structures Analysis
Group:		System Environment/Libraries
License:	LGPL v3+
Source0:    %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  redhat-lsb-core, cmake, doxygen
BuildRequires:  fmt-devel
BuildRequires:  spdlog-devel
BuildRequires:  zyre-devel
BuildRequires:  ndm-devel
BuildRequires:  ncurses-devel
BuildRequires:  jsoncpp-devel, yaml-cpp-devel
%if 0%{?rhel} == 7 || 0%{?el7} == 1
BuildRequires: protobuf3-devel
%else
BuildRequires: protobuf-devel
%endif
BuildRequires: help2man

# Fix for fedora 27
%global debug_package %{nil}

%description
SALSA - Scalable Adaptive Large Structures Analysis

%package devel
Summary:  Development files and static library for the SALSA
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
This package contains SALSA related development libraries and header files.

%package doc
Summary:  Documentation
Group:    Documentation
Requires: %{name} = %{version}-%{release}, pkgconfig

%description doc
This package contains SALSA documentation.

%prep
%setup -q

%build
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DBUILD_DOCUMENTATION=on
make %{?_smp_mflags}
cd ../

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}
cd ../

%post
%systemd_post %{name}@*.service
%systemd_post %{name}-broker.service

%preun
%systemd_preun %{name}@*.service
%systemd_preun %{name}-broker*.service

%postun
%systemd_postun %{name}@*.service
%systemd_postun %{name}-broker.service

%files
%{_bindir}/*
%{_libdir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-broker
%config(noreplace) %{_sysconfdir}/%{name}/udp.yaml
%config(noreplace) %{_sysconfdir}/%{name}/gossip.yaml
%config(noreplace) %{_sysconfdir}/%{name}/gossip-k8s.yaml
%config(noreplace) %{_sysconfdir}/%{name}/default.yaml
%config(noreplace) %{_sysconfdir}/%{name}/k8s/sls.yaml
%config(noreplace) %{_sysconfdir}/%{name}/k8s/kustomization.yaml
%{_unitdir}/%{name}@.service
%{_unitdir}/%{name}-broker.service
%{_mandir}/man1/*.1*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*

%files doc
%doc /usr/share/doc/%{name}/

%changelog
